Ogre::NaClGLContext Class Reference

`#include <OgreNaClGLContext.h>`

Inheritance diagram for Ogre::NaClGLContext:
[legend]

List of all members.

## Public Member Functions

| NaClGLContext (const NaClWindow *window, const NaClGLSupport *glsupport, pp::Instance *instance, pp::CompletionCallback *swapCallback)
virtual | ~NaClGLContext ()
virtual void | setCurrent ()
| Enable the context.
virtual void | endCurrent ()
| This is called before another context is made current.
GLES2Context * | clone () const
| Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.
void | swapBuffers (bool waitForVSync)
void | resize ()
virtual void | Graphics3DContextLost ()
| The Graphics3DClient interface - pp::Graphics3DClient_Dev.
bool | getInitialized ()
void | setInitialized ()
virtual void | releaseContext ()
| Release the render context.

## Protected Attributes

bool | initialized

## Private Attributes

const NaClGLSupport * | mGLSupport
const NaClWindow * | mWindow
pp::Instance * | mInstance
pp::CompletionCallback * | mSwapCallback
pp::Graphics3D | mContext
unsigned int | mWidth
unsigned int | mHeight

## Detailed Description

Definition at line 39 of file OgreNaClGLContext.h.

## Constructor & Destructor Documentation

Ogre::NaClGLContext::NaClGLContext | ( | const NaClWindow * | window,
|  | const NaClGLSupport * | glsupport,
|  | pp::Instance * | instance,
|  | pp::CompletionCallback * | swapCallback
| ) |  |

virtual Ogre::NaClGLContext::~NaClGLContext | ( |  | ) | `[virtual]`

## Member Function Documentation

GLES2Context* Ogre::NaClGLContext::clone | ( |  | ) | const`[virtual]`

Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.

Note:
  The caller is responsible for deleting the returned context.

Implements Ogre::GLES2Context.

virtual void Ogre::NaClGLContext::endCurrent | ( |  | ) | `[virtual]`

This is called before another context is made current.

By default, nothing is done here.

Implements Ogre::GLES2Context.

bool Ogre::GLES2Context::getInitialized | ( |  | ) | `[inherited]`

Definition at line 58 of file OgreGLES2Context.h.

virtual void Ogre::NaClGLContext::Graphics3DContextLost | ( |  | ) | `[virtual]`

The Graphics3DClient interface - pp::Graphics3DClient_Dev.

virtual void Ogre::GLES2Context::releaseContext | ( |  | ) | `[virtual, inherited]`

Release the render context.

Definition at line 70 of file OgreGLES2Context.h.

void Ogre::NaClGLContext::resize | ( |  | ) |

virtual void Ogre::NaClGLContext::setCurrent | ( |  | ) | `[virtual]`

Enable the context.

All subsequent rendering commands will go here.

Implements Ogre::GLES2Context.

void Ogre::GLES2Context::setInitialized | ( |  | ) | `[inherited]`

Definition at line 59 of file OgreGLES2Context.h.

void Ogre::NaClGLContext::swapBuffers | ( | bool | waitForVSync | ) |

## Member Data Documentation

bool Ogre::GLES2Context::initialized`[protected, inherited]`

Definition at line 73 of file OgreGLES2Context.h.

pp::Graphics3D Ogre::NaClGLContext::mContext`[private]`

Definition at line 46 of file OgreNaClGLContext.h.

const NaClGLSupport* Ogre::NaClGLContext::mGLSupport`[private]`

Definition at line 42 of file OgreNaClGLContext.h.

unsigned int Ogre::NaClGLContext::mHeight`[private]`

Definition at line 48 of file OgreNaClGLContext.h.

pp::Instance* Ogre::NaClGLContext::mInstance`[private]`

Definition at line 44 of file OgreNaClGLContext.h.

pp::CompletionCallback* Ogre::NaClGLContext::mSwapCallback`[private]`

Definition at line 45 of file OgreNaClGLContext.h.

unsigned int Ogre::NaClGLContext::mWidth`[private]`

Definition at line 47 of file OgreNaClGLContext.h.

const NaClWindow* Ogre::NaClGLContext::mWindow`[private]`

Definition at line 43 of file OgreNaClGLContext.h.

The documentation for this class was generated from the following file:

- OgreNaClGLContext.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:28:00